package orderrpcv2

import (
	"testing"
)

func Test_CreateByCart(t *testing.T) {

	products := []map[string]string{
		map[string]string{
			"product_id": "19",
			"sku_id":     "6",
			"quantity":   "3",
		},
		map[string]string{
			"product_id": "26",
			"quantity":   "4",
		},
	}
	data := map[string]interface{}{
		"product":     products,
		"name":        "5BC02AB31C",
		"mobile":      "326598744",
		"user_id":     "2",
		"quantity":    "3",
		"business_id": "1",
		"sku_id":      "5",
	}

	ret, err := CreateByCart("100064", "shop_v2", data)

	t.Log(ret)
	t.Log(err)
}
